# this file will be included in all pipeline. Place all common / meta jobs here.

.common:
  image: registry.gitlab.com/opencraft/dev/grove/${TOOLS_CONTAINER_IMAGE_NAME}:${TOOLS_CONTAINER_IMAGE_VERSION}
  variables:
    # Thanks to https://gitlab.com/gitlab-org/terraform-images, we only need to set GITLAB_TOFU_STATE_NAME
    # and Terraform will be able to securely store its state in the state store of the current
    # repository, even if it's a private repo.
    GITLAB_TOFU_STATE_NAME: tf-state-${TF_VAR_cluster_provider}
    GITLAB_TOFU_ROOT_DIR: ${CI_PROJECT_DIR}/grove/provider-${TF_VAR_cluster_provider}
    TF_DATA_DIR: ${CI_PROJECT_DIR}/.terraform/
    # Need to set these environment variables to be used in gitlab provider
    # more on https://registry.terraform.io/providers/gitlabhq/gitlab/latest/docs
    TF_VAR_gitlab_project_id: ${CI_PROJECT_ID}
    # directory containing deployment scripts
    SCRIPTS_DIR: ${CI_PROJECT_DIR}/grove/tools-container/scripts
    CUSTOM_DOCKER_REGISTRY: $CUSTOM_DOCKER_REGISTRY
  cache:
    key: tf-${CI_COMMIT_SHORT_SHA}
    paths:
      - ${TF_DATA_DIR}
      - $CI_PROJECT_DIR/instances/$INSTANCE_NAME/.venv
  before_script:
    - kubectl config get-contexts
    - kubectl config use-context ${CI_PROJECT_PATH}:${K8S_CLUSTER_AGENT_CONTEXT}

